---
layout: page_api
title: Java Guide
action: Get Started
action_url: /get_started
permalink: /api/java
tag: java
---
<!--- Licensed to the Apache Software Foundation (ASF) under one -->
<!--- or more contributor license agreements.  See the NOTICE file -->
<!--- distributed with this work for additional information -->
<!--- regarding copyright ownership.  The ASF licenses this file -->
<!--- to you under the Apache License, Version 2.0 (the -->
<!--- "License"); you may not use this file except in compliance -->
<!--- with the License.  You may obtain a copy of the License at -->

<!---   http://www.apache.org/licenses/LICENSE-2.0 -->

<!--- Unless required by applicable law or agreed to in writing, -->
<!--- software distributed under the License is distributed on an -->
<!--- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY -->
<!--- KIND, either express or implied.  See the License for the -->
<!--- specific language governing permissions and limitations -->
<!--- under the License. -->


# MXNet - Java Inference API

MXNet supports Java for performing inference on a trained model. The MXNet Java Inference API is an extension of the [Scala Infer API]({{'/api/scala/docs/api/#org.apache.mxnet.infer.package'|relative_url}}) which provides model loading and inference functionality.
The goal of the MXNet Java package is to provide an efficient and easy to use inference API.
The MXNet Java package makes it easy to quickly deploy an existing model into a production level Java ecosystem.

## Installation
* [MXNet Java Inference API setup instructions]({{'/get_started/java_setup'|relative_url}})

## Tutorials
See the [Java tutorial page]({{'/api/java/docs/tutorials'|relative_url}}) for detailed tutorials and examples using the Java Inference API.

## Java Inference API Reference
The [Java Infer API javadocs]({{'/api/java/docs/api/#org.apache.mxnet.infer.javaapi.package'|relative_url}}) provides detailed API information.